org.tmatesoft.svn.core.wc

## Class SVNEventAction

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNEventAction

-     public class SVNEventAction
      extends java.lang.Object

  The SVNEventAction class is used to describe an action which generated an SVNEvent object.

  Each operation invoked by a do*() method of an SVN*Client class consists of several actions that can be considered as operation steps. For example, an update operation receives changes for files, adds new ones, deletes another ones and so on. And for every such action (for every file updated, deleted, added, etc.) the `doUpdate()` method generates an SVNEvent objects which contains information on the type of this action that can be retrieved simply calling the SVNEvent's `getAction()` method:

       import org.tmatesoft.svn.core.wc.SVNEvent;
       import org.tmatesoft.svn.core.wc.SVNEventAction;
       ...

         SVNEventAction action = event.getAction();
         //parse the action according to the type of
         //operation and your needs
         if (action == SVNEventAction.UPDATE_UPDATE){
             ...
         }
         ...

  SVNEventAction is just a set of predefined constant fields of the same type. Each constant is applicable only to a certain type of operation - for example those constants that names start with the UPDATE_ prefix are relevant only for update related operations (update, checkout, switch, etc.).

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNEvent`, `ISVNEventHandler`, Examples

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SVNEventAction` | `ADD` Denotes that a new item is scheduled for addition.
    `static SVNEventAction` | `ANNOTATE` Denotes that file blaming is started.
    `static SVNEventAction` | `CHANGELIST_CLEAR` Denotes that changelist name is cleared.
    `static SVNEventAction` | `CHANGELIST_MOVED` Denotes that a path has moved from one changelist to another.
    `static SVNEventAction` | `CHANGELIST_SET` Denotes that changelist name is set.
    `static SVNEventAction` | `COMMIT_ADDED` In a commit operation denotes adding a new item to the repository.
    `static SVNEventAction` | `COMMIT_COMPLETED` In a commit operation denotes that the operation itself is completed (for instance, in a console client can be used to print out the commited revsion).
    `static SVNEventAction` | `COMMIT_DELETED` In a commit operation denotes deleting the item from the repository.
    `static SVNEventAction` | `COMMIT_DELTA_SENT` In a commit operation denotes the final stage of the operation - sending all file data and finalizing the commit.
    `static SVNEventAction` | `COMMIT_MODIFIED` In a commit operation denotes sending the item's modifications to the repository.
    `static SVNEventAction` | `COMMIT_REPLACED` In a commit operation denotes replacing (one item was deleted while another one with the same name was added) the item in the repository.
    `static SVNEventAction` | `COPY` Denotes that the item is copied with history.
    `static SVNEventAction` | `DELETE` Denotes that the item is scheduled for deletion.
    `static SVNEventAction` | `FAILED_EXTERNAL`
    `static SVNEventAction` | `FAILED_REVERT` Denotes that a revert operation failed.
    `static SVNEventAction` | `FOREIGN_MERGE_BEGIN` Denotes that a merge operation (to path) from a foreign repository has begun.
    `static SVNEventAction` | `LOCK_FAILED` Denotes that locking a file item failed.
    `static SVNEventAction` | `LOCKED` Denotes that the file item is locked as a result of a locking operation.
    `static SVNEventAction` | `MERGE_BEGIN` Denotes that a merge operation (to path) has begun.
    `static SVNEventAction` | `MERGE_COMPLETE`
    `static SVNEventAction` | `PROGRESS` Reserved for future purposes.
    `static SVNEventAction` | `PROPERTY_ADD`
    `static SVNEventAction` | `PROPERTY_DELETE`
    `static SVNEventAction` | `PROPERTY_DELETE_NONEXISTENT`
    `static SVNEventAction` | `PROPERTY_MODIFY`
    `static SVNEventAction` | `RESOLVED` Denotes that the conflict on the item is resolved (the item is marked resolved).
    `static SVNEventAction` | `RESTORE` Denotes that the deleted item is restored (prior to be updated).
    `static SVNEventAction` | `REVERT` Denotes that all local changes to the item were reverted.
    `static SVNEventAction` | `REVPROP_DELETE`
    `static SVNEventAction` | `REVPROPER_SET`
    `static SVNEventAction` | `SKIP` Denotes that the operation is skipped due to errors (inability to be performed, etc.).
    `static SVNEventAction` | `STATUS_COMPLETED` In a remote status operation denotes that the operation itself is completed - used to get the latest repository revision against which the status was invoked.
    `static SVNEventAction` | `STATUS_EXTERNAL` In a status operation denotes that the status is performed on an external item.
    `static SVNEventAction` | `TREE_CONFLICT`
    `static SVNEventAction` | `UNLOCK_FAILED` Denotes that unlocking a file item failed.
    `static SVNEventAction` | `UNLOCKED` Denotes that the file item is unlocked as a result of an unlocking operation.
    `static SVNEventAction` | `UPDATE_ADD` In an update operation denotes that the item is added to the Working Copy (as it was added in the repository).
    `static SVNEventAction` | `UPDATE_COMPLETED` In an update operation denotes that the operation itself is completed (for instance, in a console client can be used to print out the revision updated to).
    `static SVNEventAction` | `UPDATE_DELETE` In an update operation denotes that the item is deleted from the Working Copy (as it was deleted in the repository).
    `static SVNEventAction` | `UPDATE_EXISTS` Denotes that tried adding a path that already exists.
    `static SVNEventAction` | `UPDATE_EXTERNAL` In an update operation denotes that the item being updated is external.
    `static SVNEventAction` | `UPDATE_NONE` In an update operation denotes that the item is not modified, but its children are.
    `static SVNEventAction` | `UPDATE_REPLACE` Denotes a replace notification.
    `static SVNEventAction` | `UPDATE_UPDATE` In an update operation denotes that the item is modified (there are changes received from the repository).
    `static SVNEventAction` | `UPGRADE` Denotes that the current format of the working copy administrative area is upgraded to a newer one.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getID()` Returns this object's identifier.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROGRESS

          public static final SVNEventAction PROGRESS

      Reserved for future purposes.

    - #### ADD

          public static final SVNEventAction ADD

      Denotes that a new item is scheduled for addition. Generated by the `doAdd()` method.

    - #### COPY

          public static final SVNEventAction COPY

      Denotes that the item is copied with history.
      See Also:
        `SVNCopyClient`

    - #### DELETE

          public static final SVNEventAction DELETE

      Denotes that the item is scheduled for deletion. Generated by the `doDelete()` method.

    - #### RESTORE

          public static final SVNEventAction RESTORE

      Denotes that the deleted item is restored (prior to be updated).

    - #### REVERT

          public static final SVNEventAction REVERT

      Denotes that all local changes to the item were reverted. Generated by the `doRevert()` method.

    - #### FAILED_REVERT

          public static final SVNEventAction FAILED_REVERT

      Denotes that a revert operation failed. Generated by the `doRevert()` method.

    - #### RESOLVED

          public static final SVNEventAction RESOLVED

      Denotes that the conflict on the item is resolved (the item is marked resolved). Such an event is generated by the `doResolve()` method.

    - #### SKIP

          public static final SVNEventAction SKIP

      Denotes that the operation is skipped due to errors (inability to be performed, etc.).

    - #### UPDATE_DELETE

          public static final SVNEventAction UPDATE_DELETE

      In an update operation denotes that the item is deleted from the Working Copy (as it was deleted in the repository).

    - #### UPDATE_ADD

          public static final SVNEventAction UPDATE_ADD

      In an update operation denotes that the item is added to the Working Copy (as it was added in the repository).

    - #### UPDATE_UPDATE

          public static final SVNEventAction UPDATE_UPDATE

      In an update operation denotes that the item is modified (there are changes received from the repository).

    - #### UPDATE_NONE

          public static final SVNEventAction UPDATE_NONE

      In an update operation denotes that the item is not modified, but its children are.

    - #### UPDATE_COMPLETED

          public static final SVNEventAction UPDATE_COMPLETED

      In an update operation denotes that the operation itself is completed (for instance, in a console client can be used to print out the revision updated to).

    - #### UPDATE_EXTERNAL

          public static final SVNEventAction UPDATE_EXTERNAL

      In an update operation denotes that the item being updated is external.

    - #### STATUS_COMPLETED

          public static final SVNEventAction STATUS_COMPLETED

      In a remote status operation denotes that the operation itself is completed - used to get the latest repository revision against which the status was invoked.

    - #### STATUS_EXTERNAL

          public static final SVNEventAction STATUS_EXTERNAL

      In a status operation denotes that the status is performed on an external item. To find out the item's current status use `getContentsStatus()`, `getPropertiesStatus()`. The `SVNStatusType.STATUS_EXTERNAL` constant says only that the item belongs to externals definitions.

    - #### COMMIT_MODIFIED

          public static final SVNEventAction COMMIT_MODIFIED

      In a commit operation denotes sending the item's modifications to the repository.

    - #### COMMIT_ADDED

          public static final SVNEventAction COMMIT_ADDED

      In a commit operation denotes adding a new item to the repository.

    - #### COMMIT_DELETED

          public static final SVNEventAction COMMIT_DELETED

      In a commit operation denotes deleting the item from the repository.

    - #### COMMIT_REPLACED

          public static final SVNEventAction COMMIT_REPLACED

      In a commit operation denotes replacing (one item was deleted while another one with the same name was added) the item in the repository.

    - #### COMMIT_DELTA_SENT

          public static final SVNEventAction COMMIT_DELTA_SENT

      In a commit operation denotes the final stage of the operation - sending all file data and finalizing the commit.

    - #### COMMIT_COMPLETED

          public static final SVNEventAction COMMIT_COMPLETED

      In a commit operation denotes that the operation itself is completed (for instance, in a console client can be used to print out the commited revsion).

    - #### ANNOTATE

          public static final SVNEventAction ANNOTATE

      Denotes that file blaming is started.

    - #### LOCKED

          public static final SVNEventAction LOCKED

      Denotes that the file item is locked as a result of a locking operation. Generated by a doLock() method of `SVNWCClient`.

    - #### UNLOCKED

          public static final SVNEventAction UNLOCKED

      Denotes that the file item is unlocked as a result of an unlocking operation. Generated by a doUnlock() method of `SVNWCClient`.

    - #### LOCK_FAILED

          public static final SVNEventAction LOCK_FAILED

      Denotes that locking a file item failed. Generated by a doLock() method of `SVNWCClient`.

    - #### UNLOCK_FAILED

          public static final SVNEventAction UNLOCK_FAILED

      Denotes that unlocking a file item failed. Generated by a doUnlock() method of `SVNWCClient`.

    - #### UPGRADE

          public static final SVNEventAction UPGRADE

      Denotes that the current format of the working copy administrative area is upgraded to a newer one.

    - #### UPDATE_EXISTS

          public static final SVNEventAction UPDATE_EXISTS

      Denotes that tried adding a path that already exists.
      Since:
        1.2.0, SVN 1.5.0

    - #### CHANGELIST_SET

          public static final SVNEventAction CHANGELIST_SET

      Denotes that changelist name is set.
      Since:
        1.2.0, SVN 1.5.0

    - #### CHANGELIST_CLEAR

          public static final SVNEventAction CHANGELIST_CLEAR

      Denotes that changelist name is cleared.
      Since:
        1.2.0, SVN 1.5.0

    - #### CHANGELIST_MOVED

          public static final SVNEventAction CHANGELIST_MOVED

      Denotes that a path has moved from one changelist to another.
      Since:
        1.2.0, SVN 1.5.0

    - #### MERGE_BEGIN

          public static final SVNEventAction MERGE_BEGIN

      Denotes that a merge operation (to path) has begun. See `SVNEvent.getMergeRange()`.
      Since:
        1.2.0, SVN 1.5.0

    - #### FOREIGN_MERGE_BEGIN

          public static final SVNEventAction FOREIGN_MERGE_BEGIN

      Denotes that a merge operation (to path) from a foreign repository has begun. See `SVNEvent.getMergeRange()`.
      Since:
        1.2.0, SVN 1.5.0

    - #### UPDATE_REPLACE

          public static final SVNEventAction UPDATE_REPLACE

      Denotes a replace notification.
      Since:
        1.2.0, SVN 1.5.0

    - #### PROPERTY_ADD

          public static final SVNEventAction PROPERTY_ADD

      Since:
        1.3, SVN 1.6

    - #### PROPERTY_MODIFY

          public static final SVNEventAction PROPERTY_MODIFY

      Since:
        1.3, SVN 1.6

    - #### PROPERTY_DELETE

          public static final SVNEventAction PROPERTY_DELETE

      Since:
        1.3, SVN 1.6

    - #### PROPERTY_DELETE_NONEXISTENT

          public static final SVNEventAction PROPERTY_DELETE_NONEXISTENT

      Since:
        1.3, SVN 1.6

    - #### REVPROPER_SET

          public static final SVNEventAction REVPROPER_SET

      Since:
        1.3, SVN 1.6

    - #### REVPROP_DELETE

          public static final SVNEventAction REVPROP_DELETE

      Since:
        1.3, SVN 1.6

    - #### MERGE_COMPLETE

          public static final SVNEventAction MERGE_COMPLETE

      Since:
        1.3, SVN 1.6

    - #### TREE_CONFLICT

          public static final SVNEventAction TREE_CONFLICT

      Since:
        1.3, SVN 1.6

    - #### FAILED_EXTERNAL

          public static final SVNEventAction FAILED_EXTERNAL

      Since:
        1.3, SVN 1.6

  - ### Method Detail

    - #### getID

          public int getID()

      Returns this object's identifier. Each constant field of the SVNEventAction class is also an SVNEventAction object with its own id.
      Returns:
        id of this object

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object. As a matter of fact this is a string representation of this object's id.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representing this object

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.